P4_REWRITER_TEST(3)

NAME
p4_rewriter_test - "REWRITER-TEST(" ( "tracked-stack -- input-stack<rp;>" -- ) [EXT]

SYNOPSIS

#include <pfe/stackhelp-ext.h>

FCodep4_rewriter_test(---);

DESCRIPTION

suppose that the left side is a tracked stack line during compiling and the right side is a candidate changer input stack. Test whethr the candidate does match and the complete changer would be allowed to run a rewrite in the track stack buffer.

Possible conditions include: the left side has not enough arguments or... any argument on the right side has a type specialization that does not match as a valid suffix to their counterpart on the left side.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>